import java.util.Arrays;
/**
 * Class to hold data for each script.
 * 
 * ScriptHelper (c) 2016 - 2017
 * https://bitbucket.org/mithridates
 */
public class SFScript
{
    private int scriptPointer;
    private int[] script;

    /**
     * Constructor for objects of class SFScript
     * 
     * @param int p
     * @param int[] s
     */
    public SFScript(int p, int[] s)
    {
        scriptPointer = p;
        script = s;
    }
    
    /**
     * Constructor for objects of class SFScript
     */
    public SFScript(int p)
    {
        scriptPointer = p;
    }
    
    /**
     * Accessor for scriptPointer field.
     * 
     * @return int scriptPointer
     */
    public int getScriptPointer()
    {
        return scriptPointer;
    }
    
    /**
     * Accessor for script field.
     * 
     * @return int[] script
     */
    public int[] getScript()
    {
        return script;
    }
    
    /**
     * Mutator for script field.
     * 
     * @param int[] p
     */
    public void setScript(int[] s)
    {
        script = s;
    }
}